package com.platform.modules.live.service;

import java.util.Map;

import org.springframework.web.multipart.MultipartFile;

import com.baomidou.mybatisplus.service.IService;
import com.platform.common.utils.PageUtils;
import com.platform.modules.live.entity.LiveTaskAllocationEntity;

/**
 * 现场评论
 * 
 * @author weiyan
 * @email 
 * @date 2020-04-08 17:42:35
 */
public interface LiveTaskAllocationService extends IService<LiveTaskAllocationEntity> {
	
	PageUtils queryPage(Map<String, Object> params);

	void save(LiveTaskAllocationEntity liveSceneTaskAllocation);

	void update(LiveTaskAllocationEntity liveSceneTaskAllocation);

	void delete(Integer id);

	void deleteBatch(Integer[] ids);
	
	void readBatch(Integer[] ids);
	
	void taskAllocation(Integer[] reporterIds,Integer userId, MultipartFile mediaFile, Integer durationTime);

	/**
	 * 全部已读或删除
	 *
	 * @param flag true为已读操作，false为删除操作
	 * @param reporterId 记者id
	 * */
	void handlerAll(boolean flag, Integer reporterId);

	/**
	 * 后台列表
	 * */
	PageUtils backgroundList(Integer pageNo, Integer pageSize);
}
